Bug 989543 - ASYNC-TCP cluster tests actually have config SYNC
Summary: ASYNC-TCP cluster tests actually have config SYNC
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Testsuite (Show other bugs)
(Show other bugs)
Version: 6.1.1
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ER5
: EAP 6.1.1
Assignee: Emmanuel Hugonnet (ehsavoie)
QA Contact: Aleksandar Kostadinov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-29 13:43 UTC by Aleksandar Kostadinov
Modified: 2013-09-16 20:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 20:22:43 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-1782 Minor Resolved ASYNC-tcp tests should have cacheMode set to ASYNC 2014-07-29 11:57:25 UTC

Description Aleksandar Kostadinov 2013-07-29 13:43:06 UTC
testsuite/integration/clust/pom.xml
<cacheMode>SYNC</cacheMode> is used for SYNC-tcp tests instead of <cacheMode>ASYNC</cacheMode>

>                            <!-- TCP-ASYNC -->
>                            <execution>
>                                <id>ts.surefire.clust.multinode-manual-tcp-async</id>
>                                <phase>test</phase>
>                                <goals><goal>test</goal></goals>
>                                <configuration>
>                                    <includes>
>                                        <include>org/jboss/as/test/clustering/cluster/**/*TestCase.java</include>
>                                    </includes>
>                                    <systemPropertyVariables>
>                                        <arquillian.launch>clustering-all</arquillian.launch>                                        ><jboss.server.config.file.name>standalone-ha.xml</jboss.server.config.file.name>
>                                        <cacheMode>SYNC</cacheMode>
>                                        <stack>tcp</stack>
>                                    </systemPropertyVariables>
>                                    <reportNameSuffix>ASYNC-tcp</reportNameSuffix>
>                                </configuration>
>                            </execution>

Comment 2 Emmanuel Hugonnet (ehsavoie) 2013-07-30 11:57:56 UTC
https://github.com/wildfly/wildfly/pull/4855 for upstream.

Comment 3 JBoss JIRA Server 2013-07-31 14:01:52 UTC
Radoslav Husar <rhusar@redhat.com> made a comment on jira WFLY-1782

Merged, resolving.

PS: Thanks, typos happen! :-)

Comment 4 Pavel Jelinek 2013-08-21 14:34:26 UTC
Fixed in EAP 6.1.1 ER5.


Note You need to log in before you can comment on or make changes to this bug.